Bug 1217957 - Review Request: python-relogger - A syslog sender, relay and receiver.
Summary: Review Request: python-relogger - A syslog sender, relay and receiver.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-03 11:36 UTC by Arie Bregman
Modified: 2016-12-15 07:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-15 07:54:00 UTC
Type: ---


Attachments (Terms of Use)

Description Arie Bregman 2015-05-03 11:36:22 UTC
Spec URL: https://bitbucket.org/abregman/udp-trasnfer-file/downloads/python-relogger.spec
SRPM URL: https://bitbucket.org/abregman/udp-trasnfer-file/downloads/python-relogger-1.0.2-1.fc21.src.rpm

Description: relogger is a a relayer or replicator to send SYSLOG from one or multiple sources to one or multiple destinations.

Fedora Account System Username:abregman

Comment 1 Ihar Hrachyshka 2015-05-14 11:33:58 UTC
@Arie, when I try to open the link to .spec file, I am asked to log in to bitbucket. Please put it to a public storage.

Comment 2 Arie Bregman 2015-05-14 11:51:53 UTC
@Ihar, sorry, I've made it public.

Comment 3 Raphael Groner 2015-05-25 12:53:55 UTC
Why do you use the name python-relogger? Why not just relogger as it is the upstream name?

Please try to build also for Python3.
https://fedoraproject.org/wiki/Packaging:Python#Python_Version_Support

Upstream Homepage is: https://github.com/caesar0301/relogger
Please use that in URL.

Please add doc subfolder, authors file and configuration example into package documentation.
%files
%doc README.md doc/* AUTHORS relogger_example.cfg

Comment 4 Raphael Groner 2015-06-17 18:24:06 UTC
No response since weeks. :(

Comment 5 Arie Bregman 2015-06-17 18:32:47 UTC
sorry @Raphael. I appreciate the time you took to review my request. It just that I'm little bit busy at work =/. I hope I'll have some time soon enough to make the improvements needed. thank you!.

Comment 6 Raphael Groner 2015-06-28 15:19:31 UTC
Are you interested in a review swap?
Maybe bug #1225231 is for you.

Comment 7 Miroslav Suchý 2015-10-20 21:17:59 UTC
Any progress here?

Comment 8 Arie Bregman 2015-11-02 14:35:40 UTC
Spec URL: https://bitbucket.org/abregman/bregman-rpms/downloads/relogger.spec
SRPM URL: https://bitbucket.org/abregman/bregman-rpms/downloads/relogger-1.0.2-1.el7.src.rpm

Updated based on your notes. except for python3 - didn't understand what exactly should be changed in order to support python3.

Thank for the comments! much appreciated.

Comment 9 Yanis Guenane 2016-01-08 16:47:47 UTC
My review is yet unofficial as I am not part of the packager group.

Following the Guideline for Python packaging[1], part of the spec file could be simplified - as it does exactly what those macros do.

> %{__python2} setup.py build

%py2_build

> %{__python2} setup.py install --skip-build --root %{buildroot}

%py2_install

Also following on @Raphael Groner comment, what is being asked here is for the spec file to allow to build relogger for both python2 and python3 runtime.

So create a new subpackage called python3-relogger for example, run %py3_build, run %py3_install and %files -n python3-relogger in addition of the traditional py2 sequences.

In the community it is generally conditioned using a with_python3 global variable, set to either 1 or 0 based on the OS and the version it is built for.

This allows for the package so still be build on OS version that do not come with python3.

Something similar to 

> %if 0%{?fedora} > 12 || 0%{?rhel} > 6
> %global with_python3 1
> %endif

> %if 0%{with_python3}
>
> %package -n python3-relogger
> BuildRequires: python3-devel
>
> %description -n python3-relogger
> ....
>
> %endif 

You would condition the same way %py3_build, %py3_install and %file -n python3-relogger

[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 10 Parag AN(पराग) 2016-08-10 16:51:21 UTC
I see number80 has already sponsored you in packager, hence removing FE-NEEDSPONSOR from this bug.


Note You need to log in before you can comment on or make changes to this bug.